Product comparison · 2 wired routers

D-Link EXO wired router Gigabit Ethernet Black vs TP-Link TD-W9970B wired router Fast Ethernet White

Add a product
  • 30specifications compared
  • 17differ
  • 13identical
  • 40known for one product only

Key differences

The D-Link EXO wired router Gigabit Ethernet Black has 1 A more output current than the TP-Link TD-W9970B wired router Fast Ethernet White (2 A vs 1 A). The D-Link EXO wired router Gigabit Ethernet Black has 27.9 mm more width than the TP-Link TD-W9970B wired router Fast Ethernet White (222.9 mm vs 195 mm). The D-Link EXO wired router Gigabit Ethernet Black has 46.6 mm more depth than the TP-Link TD-W9970B wired router Fast Ethernet White (176.6 mm vs 130 mm). Only the TP-Link TD-W9970B wired router Fast Ethernet White has DSL WAN. Ethernet interface type: Gigabit Ethernet on the D-Link EXO wired router Gigabit Ethernet Black, Fast Ethernet on the TP-Link TD-W9970B wired router Fast Ethernet White.

  • DSL WAN
    • EXO wired router Gigabit Ethernet Black:No
    • TD-W9970B wired router Fast Ethernet White:Yes
  • Ethernet interface type
    • EXO wired router Gigabit Ethernet Black:Gigabit Ethernet
    • TD-W9970B wired router Fast Ethernet White:Fast Ethernet
  • Cabling technology
    • EXO wired router Gigabit Ethernet Black:10/100/1000Base-T(X)
    • TD-W9970B wired router Fast Ethernet White:10/100Base-T(X)
  • Ethernet LAN data rates
    • EXO wired router Gigabit Ethernet Black:10,100,1000 Mbit/s
    • TD-W9970B wired router Fast Ethernet White:10,100 Mbit/s
  • USB version
    • EXO wired router Gigabit Ethernet Black:3.2 Gen 1 (3.1 Gen 1)
    • TD-W9970B wired router Fast Ethernet White:2.0
  • Product colour
    • EXO wired router Gigabit Ethernet Black:Black
    • TD-W9970B wired router Fast Ethernet White:White
  • Power source type
    • EXO wired router Gigabit Ethernet Black:AC
    • TD-W9970B wired router Fast Ethernet White:DC
  • Output current
    • EXO wired router Gigabit Ethernet Black:2 A
    • TD-W9970B wired router Fast Ethernet White:1 A

Side by side

Differences highlightedShow differences only (off)
Comparison of EXO, TD-W9970B
70 specifications
WAN connection1 differ
Ethernet WANYesYes
DSL WANDiffersNoYes
SIM card slotKnown for oneNoUnknown — not stated by the source
3G/4G USB modem compatibilityKnown for oneNoUnknown — not stated by the source
Network4 differ
Networking standardsDiffersIEEE 802.11a, IEEE 802.11ac, IEEE 802.11b, IEEE 802.11g, IEEE 802.11n, IEEE 802.1Q, IEEE 802.1p, IEEE 802.3, IEEE 802.3ab, IEEE 802.3uIEEE 802.11b, IEEE 802.11g, IEEE 802.11n
Ethernet interface typeDiffersGigabit EthernetFast Ethernet
Ethernet LANKnown for oneUnknown — not stated by the sourceYes
Cabling technologyDiffers10/100/1000Base-T(X)10/100Base-T(X)
Ethernet LAN data ratesDiffers10,100,1000 Mbit/s10,100 Mbit/s
Frequency rangeKnown for oneUnknown — not stated by the source2.4
Signal strengthKnown for oneUnknown — not stated by the source20 dBm
DSL featuresidentical
VDSL2Known for oneUnknown — not stated by the sourceYes
Management featuresidentical
Web-based managementKnown for oneUnknown — not stated by the sourceYes
Quality of Service (QoS) supportYesYes
Universal Plug and Play (UPnP)Known for oneUnknown — not stated by the sourceYes
Reset buttonYesYes
WPS push buttonKnown for oneYesUnknown — not stated by the source
Ports & interfaces1 differ
Ethernet LAN (RJ-45) ports44
RJ-11 ports quantityKnown for oneUnknown — not stated by the source1
USB ports quantity11
USB versionDiffers3.2 Gen 1 (3.1 Gen 1)2.0
Gigabit Ethernet (copper) ports quantityKnown for one4Unknown — not stated by the source
DC-in jackKnown for oneYesUnknown — not stated by the source
Protocolsidentical
DHCP clientKnown for oneUnknown — not stated by the sourceYes
DHCP serverKnown for oneUnknown — not stated by the sourceYes
DMZ supportYesYes
Routing protocolsKnown for oneUnknown — not stated by the sourceRIP-1, RIP-2
Management protocolsKnown for oneUnknown — not stated by the sourceHTTP, SNMP V1/V2C, CWMP(TR-069)
Supported protocolsKnown for oneUnknown — not stated by the sourceATM Forum UNI3.1/4.0 PPP over ATM (RFC 2364) PPP over Ethernet (RFC2516) IPoA (RFC1577/2225) PVC
Security2 differ
Security algorithmsDiffersWPA-PSK, WPA2-PSK, WPS64-bit WEP, 128-bit WEP, WPA, WPA-PSK, WPA2, WPA2-PSK
FirewallYesYes
Firewall securityDiffersNATNetwork address translation (NAT) firewall, Stateful packet inspection (SPI) firewall
MAC address filteringKnown for oneUnknown — not stated by the sourceYes
URL filteringKnown for oneUnknown — not stated by the sourceYes
IP address filteringKnown for oneUnknown — not stated by the sourceYes
Network address translation (NAT)YesYes
Guest accessYesYes
VPN tunnels quantityKnown for oneUnknown — not stated by the source10
VPN supportKnown for oneUnknown — not stated by the sourcePPTP, L2TP, IPSec Pass-through
Packaging contentidentical
AC adapter includedYesYes
Cables includedKnown for oneUnknown — not stated by the sourceLAN (RJ-45), Phone (RJ-11)
Quick installation guideKnown for oneUnknown — not stated by the sourceYes
Features1 differ
Windows operating systems supportedDiffersYesWindows 10 Education, Windows 10 Education x64, Windows 10 Enterprise, Windows 10 Enterprise x64, Windows 10 Home, Windows 10 Home x64, Windows 10 IOT Core, Windows 10 Pro, Windows 10 Pro x64, Windows 7 Enterprise, Windows 7 Enterprise x64, Windows 7 Home Basic, Windows 7 Home Basic x64, Windows 7 H
Mac operating systems supportedKnown for oneUnknown — not stated by the sourceYes
Linux operating systems supportedKnown for oneUnknown — not stated by the sourceYes
CertificationKnown for oneUnknown — not stated by the sourceCE, RoHS
Flash memoryKnown for one128 MBUnknown — not stated by the source
Internal memoryKnown for one256 MBUnknown — not stated by the source
Design1 differ
Product colourDiffersBlackWhite
On/off switchKnown for oneUnknown — not stated by the sourceYes
LED indicatorsKnown for oneYesUnknown — not stated by the source
Antennaidentical
Antenna typeKnown for oneUnknown — not stated by the sourceExternal
Antenna gain level (max)Known for oneUnknown — not stated by the source5 dBi
Antennas quantityKnown for oneUnknown — not stated by the source2
Power2 differ
Power source typeDiffersACDC
Output voltage12 V12 V
Output currentDiffers2 A1 A
AC input voltageKnown for one100 - 240 VUnknown — not stated by the source
AC input frequencyKnown for one50 - 60 HzUnknown — not stated by the source
Power over Ethernet (PoE)Known for oneNoUnknown — not stated by the source
Operational conditions2 differ
Operating temperature (T-T)0 - 40 °C0 - 40 °C
Storage temperature (T-T)Differs-20 - 65 °C-40 - 70 °C
Operating relative humidity (H-H)10 - 90%10 - 90%
Storage relative humidity (H-H)Differs5 - 95%5 - 90%
Weight & dimensions3 differ
WidthDiffers222.9 mm195 mm
DepthDiffers176.6 mm130 mm
HeightDiffers65 mm36 mm
WeightKnown for one590 gUnknown — not stated by the source
Other featuresidentical
Supported WAN typeKnown for oneUnknown — not stated by the sourceEWAN
Certificatesidentical
Compliance certificatesKnown for oneCEUnknown — not stated by the source

A dash means the value is not stated by the source. Unknown values are never counted for or against a product, and there is no overall score.

More wired router comparisons

All wired router comparisons